<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="oracle.portal.provider.v2.render.http.*,
                  oracle.portal.provider.v2.render.*,
                  oracle.portal.provider.v2.http.*, 
                  java.util.*" session="false"%>
<HTML>
<TITLE>
PCAPI Invalidation demo
</TITLE>
<BODY>
If the web provider has an Oracle Web Cache instance in front of it, the time 
below should be cached for 5 minutes.  To invalidate the cached content follow
the link at the bottom of this page.
<p>
<%
  Date now = new java.util.Date();
  Calendar cal = new GregorianCalendar();
  cal.setTime(now);

  int hours = cal.get(Calendar.HOUR_OF_DAY);
  int minutes = cal.get(Calendar.MINUTE);
  int seconds = cal.get(Calendar.SECOND);

%> 
<BR>
<BR>
The time is: <FONT COLOR=#ff0000 SIZE=+2><%=hours%>.<%=minutes%>.<%=seconds%></FONT>
<BR>
<BR>

<!-- Create a link to the edit page with _invalidate_cache set to true -->
<a href=
<%=HttpPortletRendererUtil.parameterizeLink
  (request, PortletRendererUtil.DESIGN_LINK, "_mode=" +
  Integer.toString(PortletRenderer.MODE_EDIT) + 
  "&_invalidate_cache=true")%>
>Invalidate cached content</a>
</BODY>
</HTML>




